<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_TelemetricData StructType
 * @subpackage Structs
 */
class Get_TelemetricData extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The TelemetricDataSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\TelemetricDataSelection
     */
    public $TelemetricDataSelection;
    /**
     * Constructor method for Get_TelemetricData
     * @uses Get_TelemetricData::setLogin()
     * @uses Get_TelemetricData::setTelemetricDataSelection()
     * @param \StructType\Login $login
     * @param \StructType\TelemetricDataSelection $telemetricDataSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\TelemetricDataSelection $telemetricDataSelection = null)
    {
        $this
            ->setLogin($login)
            ->setTelemetricDataSelection($telemetricDataSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_TelemetricData
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get TelemetricDataSelection value
     * @return \StructType\TelemetricDataSelection|null
     */
    public function getTelemetricDataSelection()
    {
        return $this->TelemetricDataSelection;
    }
    /**
     * Set TelemetricDataSelection value
     * @param \StructType\TelemetricDataSelection $telemetricDataSelection
     * @return \StructType\Get_TelemetricData
     */
    public function setTelemetricDataSelection(\StructType\TelemetricDataSelection $telemetricDataSelection = null)
    {
        $this->TelemetricDataSelection = $telemetricDataSelection;
        return $this;
    }
}
